VkSubmitInfo Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
uint32_t | waitSemaphoreCount
const VkSemaphore * | pWaitSemaphores
const VkPipelineStageFlags * | pWaitDstStageMask
uint32_t | commandBufferCount
const VkCommandBuffer * | pCommandBuffers
uint32_t | signalSemaphoreCount
const VkSemaphore * | pSignalSemaphores

## Detailed Description

Definition at line 1694 of file vulkan.h.

## Field Documentation

## commandBufferCount

uint32_t VkSubmitInfo::commandBufferCount

Definition at line 1700 of file vulkan.h.

Referenced by render().

## pCommandBuffers

const VkCommandBuffer* VkSubmitInfo::pCommandBuffers

Definition at line 1701 of file vulkan.h.

Referenced by render().

## pNext

const void* VkSubmitInfo::pNext

Definition at line 1696 of file vulkan.h.

## pSignalSemaphores

const VkSemaphore* VkSubmitInfo::pSignalSemaphores

Definition at line 1703 of file vulkan.h.

Referenced by render().

## pWaitDstStageMask

const VkPipelineStageFlags* VkSubmitInfo::pWaitDstStageMask

Definition at line 1699 of file vulkan.h.

Referenced by render().

## pWaitSemaphores

const VkSemaphore* VkSubmitInfo::pWaitSemaphores

Definition at line 1698 of file vulkan.h.

Referenced by render().

## signalSemaphoreCount

uint32_t VkSubmitInfo::signalSemaphoreCount

Definition at line 1702 of file vulkan.h.

Referenced by render().

## sType

VkStructureType VkSubmitInfo::sType

Definition at line 1695 of file vulkan.h.

Referenced by render().

## waitSemaphoreCount

uint32_t VkSubmitInfo::waitSemaphoreCount

Definition at line 1697 of file vulkan.h.

Referenced by render().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h